%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qthttpserver
Version:       6.7.1
Release:       1mamba
Summary:       Qt6 http server components
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qthttpserver-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Qt6 http server components.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n qthttpserver-everywhere-src-%{version}

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libQt6HttpServer.so.*
%{_qt6_archdatadir}/metatypes/qt6httpserver_release_metatypes.json
%{_qt6_archdatadir}/modules/HttpServer.json
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_qt6_headerdir}/QtHttpServer
%dir %{_qt6_headerdir}/QtHttpServer/%{version}
%dir %{_qt6_headerdir}/QtHttpServer/%{version}/QtHttpServer
%dir %{_qt6_headerdir}/QtHttpServer/%{version}/QtHttpServer/private
%{_qt6_headerdir}/QtHttpServer/%{version}/QtHttpServer/private/*
%{_qt6_headerdir}/QtHttpServer/Q*
%{_qt6_headerdir}/QtHttpServer/q*.h
%{_libdir}/libQt6HttpServer.prl
%{_libdir}/libQt6HttpServer.so
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtHttpServerTestsConfig.cmake
%dir %{_libdir}/cmake/Qt6HttpServer
%{_libdir}/cmake/Qt6HttpServer/Qt6HttpServer*.cmake
%{_libdir}/pkgconfig/Qt6HttpServer.pc
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_httpserver*.pri

%changelog
* Sun Jun 02 2024 Automatic Build System <autodist@openmamba.org> 6.7.1-1mamba
- automatic version update by autodist

* Fri Apr 19 2024 Automatic Build System <autodist@openmamba.org> 6.7.0-1mamba
- automatic version update by autodist

* Thu Mar 28 2024 Automatic Build System <autodist@openmamba.org> 6.6.3-1mamba
- automatic version update by autodist

* Mon Mar 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.6.2-1mamba
- package created using the webbuild interface
